//+------------------------------------------------------------------+
//|                                            MultiInstrument_2.mq4 |
//|                                     Copyright  2012, V. Hlystov |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, V. Hlystov"
#property link      "http://www.metaquotes.net/"
// 4    

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red
extern string simbol_1 = "AUDUSD"; // ""  
extern string simbol_2 = "NZDUSD"; // ""  
extern bool   simrev_2 = 0;        // 1   
extern int ControlBars = 800;      //  
extern int N           = 1;        //  N 
color PlusColor = indicator_color1;//extern 
color MinusColor= indicator_color2;//extern 
double Buffer_1[];
double Buffer_2[];
//+------------------------------------------------------------------+
int init()
  {
   SetIndexBuffer(0,Buffer_1);
   SetIndexBuffer(1,Buffer_2);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexLabel(0,simbol_1);
   SetIndexLabel(1,simbol_2);
   return(0);
  }
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+
int start()
  {
//+------------------------------------------------------------------+
   for(int h=0; h<=Bars-ControlBars; h++)
   {
   int BarsWind;
   if (ControlBars!=0) BarsWind=ControlBars; else BarsWind=WindowFirstVisibleBar();
   double High_Win = iHigh(simbol_1,0,iHighest(simbol_1,0,MODE_HIGH,BarsWind+h,h));
   double Low_Win  = iLow (simbol_1,0,iLowest (simbol_1,0,MODE_LOW, BarsWind+h,h));
   double H_2=iHigh(simbol_2,0,iHighest(simbol_2,0,MODE_HIGH,BarsWind+h,h));
   double L_2=iLow (simbol_2,0,iLowest (simbol_2,0,MODE_LOW, BarsWind+h,h));
   color WevesColor=White;
//+------------------------------------------------------------------+
      Buffer_1[h]=  iMA(simbol_1,0,N,0,MODE_SMA,PRICE_WEIGHTED,h);
      if(simrev_2)
      Buffer_2[h]= (H_2 - iMA(simbol_2,0,N,0,MODE_SMA,PRICE_WEIGHTED,h))/(H_2 - L_2)*(High_Win-Low_Win)+Low_Win;      
      else  
      Buffer_2[h]= (iMA(simbol_2,0,N,0,MODE_SMA,PRICE_WEIGHTED,h) - L_2)/(H_2 - L_2)*(High_Win-Low_Win)+Low_Win;
   }  
   return(0);
  }
//+------------------------------------------------------------------+

